> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /inhersight/companies/reviews

> Get InHerSight (inhersight.com) anonymous employee reviews for a company

**Price:** 1 credit per 50 results

**⚠️ Common errors:** 412: Company not found



## OpenAPI

````yaml /openapi/reviews-software-employer.json post /api/inhersight/companies/reviews
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/inhersight/companies/reviews:
    post:
      tags:
        - /inhersight
      summary: /inhersight/companies/reviews
      description: |-
        Get InHerSight (inhersight.com) anonymous employee reviews for a company

        **Price:** 1 credit per 50 results

        **⚠️ Common errors:** 412: Company not found
      operationId: __api_inhersight_companies_reviews_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InhersightCompaniesReviewsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/InhersightReview'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InhersightCompaniesReviewsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        company:
          type: string
          minLength: 1
          pattern: ^(?:https?://[^\s]+|[A-Za-z0-9][A-Za-z0-9._-]*)$
        count:
          type: integer
          minimum: 1
        career_level:
          anyOf:
            - $ref: '#/components/schemas/InhersightCareerLevel'
            - type: 'null'
        satisfaction:
          anyOf:
            - $ref: '#/components/schemas/InhersightSatisfaction'
            - type: 'null'
        has_reply:
          type: boolean
          default: false
      type: object
      required:
        - company
        - count
    InhersightReview:
      properties:
        '@type':
          type: string
          default: InhersightReview
        id:
          type: integer
        text:
          type: string
        satisfaction_score:
          anyOf:
            - type: integer
            - type: 'null'
        satisfaction_slug:
          anyOf:
            - type: string
            - type: 'null'
        satisfaction:
          anyOf:
            - type: string
            - type: 'null'
        career_level:
          anyOf:
            - type: string
            - type: 'null'
        is_featured:
          anyOf:
            - type: boolean
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        replies:
          items:
            $ref: '#/components/schemas/InhersightReviewReply'
          type: array
          default: []
      type: object
      required:
        - id
        - text
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    InhersightCareerLevel:
      type: string
      enum:
        - early
        - mid
        - senior
        - executive
    InhersightSatisfaction:
      type: string
      enum:
        - very_satisfied
        - satisfied
        - indifferent
        - unsatisfied
        - very_unsatisfied
    InhersightReviewReply:
      properties:
        '@type':
          type: string
          default: InhersightReviewReply
        id:
          anyOf:
            - type: integer
            - type: 'null'
        text:
          type: string
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - text
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````